<?php
	function getCustomTagContent($tag,$contents) {
		$start_tag = '<' . $tag . '>';
		$end_tag = '<\/' . $tag . '>';
		preg_match("/" . $start_tag . "(.+)" . $end_tag . "/i", $contents, $match);
		return $match[1];
	}
	
	function getFileContents($full_filename,$keep_newlines='0') {
		
		if ($fp = @fopen($full_filename,'r')) {
			$contents = fread($fp, filesize($full_filename));
			fclose($fp);
			if ($keep_newlines == 0) {
				$contents = str_replace("\n",'',$contents);
			}
		} else {
			echo 'oops';
		}
		return $contents;
	}
	
	function getSitesData($file) {
		$contents = getFileContents($file);
		$data_array = explode('</site>',$contents);
		$site_i = 0;
		while ($data_array[$site_i] != '') {
			$site[$site_i]['name'] = getCustomTagContent('name',$data_array[$site_i]);
			$site[$site_i]['home_url'] = getCustomTagContent('home_url',$data_array[$site_i]);
			$site[$site_i]['register_url'] = getCustomTagContent('register_url',$data_array[$site_i]);
			$site[$site_i]['login_url'] = getCustomTagContent('login_url',$data_array[$site_i]);
			$site[$site_i]['submit_url'] = getCustomTagContent('submit_url',$data_array[$site_i]);
			$site[$site_i]['notes'] = getCustomTagContent('notes',$data_array[$site_i]);
			$site[$site_i]['instructions'] = getCustomTagContent('instructions',$data_array[$site_i]);
			$site_i++;
		}
		return $site;
	}
	
	function formatSites($sites_array) {
		$site_i = 0;
		$count = count($sites_array);
		while ($site_i < $count) {
			if ($sites_array[$site_i]['register_url'] != '') {
				$reg_link = '<a href="' . $sites_array[$site_i]['register_url'] . '" target="ssBottomFrame"><img src="images/icon-register.gif" alt="Register" title="Register Page" /></a>';
			} else {
				$reg_link = '';
			}
			if ($sites_array[$site_i]['login_url'] != '') {
				$login_link = '<a href="' . $sites_array[$site_i]['login_url'] . '" target="ssBottomFrame"><img src="images/icon-login.gif" alt="Login" title="Login Page" /></a>';
			} else {
				$login_link = '';
			}
			if ($sites_array[$site_i]['instructions'] != '') {
				$instructions_link = '<img src="images/icon-instructions.gif" alt="Instructions" title="' . $sites_array[$site_i]['instructions'] . '" />';
			} else {
				$instructions_link = '';
			}
			if ($sites_array[$site_i]['submit_url'] != '') {
				$submission_link = '<a href="' . $sites_array[$site_i]['submit_url'] . '" target="ssBottomFrame"><img src="images/icon-submit.gif" alt="Submit" title="Submission Page" /></a>';
			} else {
				$submission_link = '';
			}
			$site_display .= $sites_array[$site_i]['name'] . '
				<br />
				<table>
					<tr>
						<td>
							<img src="images/checkbox-off.gif" id="imgCheck' . $site_i . '" onclick="checkBox(' . $site_i . ')" alt="checkbox" />
						</td>
						<td>
							<a href="' . $sites_array[$site_i]['home_url'] . '" target="ssBottomFrame"><img src="images/icon-home.gif" alt="Home" title="Home Page" /></a>
							 ' . $reg_link . $login_link . $submission_link . $instructions_link . '
						</td>
					</tr>
				</table><hr />';
			$site_i++;
		}
		return $site_display;
	}
	
	function getScriptsData($file) {
		$contents = getFileContents($file);
		$data_array = explode('</script>',$contents);
		$script_i = 0;
		while ($data_array[$script_i] != '') {
			$scripts[$script_i]['name'] = getCustomTagContent('name',$data_array[$script_i]);
			$scripts[$script_i]['version'] = getCustomTagContent('version',$data_array[$script_i]);
			$scripts[$script_i]['filesize'] = getCustomTagContent('filesize',$data_array[$script_i]);
			$scripts[$script_i]['home_url'] = getCustomTagContent('home_url',$data_array[$script_i]);
			$scripts[$script_i]['demo_url'] = getCustomTagContent('demo_url',$data_array[$script_i]);
			$scripts[$script_i]['screenshot_url'] = getCustomTagContent('screenshot_url',$data_array[$script_i]);
			$scripts[$script_i]['description_80'] = getCustomTagContent('description_80',$data_array[$script_i]);
			$scripts[$script_i]['description_250'] = getCustomTagContent('description_250',$data_array[$script_i]);
			$scripts[$script_i]['description_1000'] = getCustomTagContent('description_1000',$data_array[$script_i]);
			$scripts[$script_i]['keywords'] = getCustomTagContent('keywords',$data_array[$script_i]);
			$scripts[$script_i]['email'] = getCustomTagContent('email',$data_array[$script_i]);
			$scripts[$script_i]['company'] = getCustomTagContent('company',$data_array[$script_i]);
			$scripts[$script_i]['author'] = getCustomTagContent('author',$data_array[$script_i]);
			$scripts[$script_i]['cost'] = getCustomTagContent('cost',$data_array[$script_i]);
			$scripts[$script_i]['language'] = getCustomTagContent('language',$data_array[$script_i]);
			$scripts[$script_i]['username'] = getCustomTagContent('username',$data_array[$script_i]);
			$scripts[$script_i]['password'] = getCustomTagContent('password',$data_array[$script_i]);
			$scripts[$script_i]['platform'] = getCustomTagContent('platform',$data_array[$script_i]);
			$scripts[$script_i]['download_url'] = getCustomTagContent('download_url',$data_array[$script_i]);
			$script_i++;
			
		}
		return $scripts;
	}
	
	function scriptDropDown($scripts_array) {
		$script_i = 0;
		$count = count($scripts_array);
		while ($script_i < $count) {
			$drop_down .= '<option value="' . $script_i . '">' . $scripts_array[$script_i]['name'] . '</option>';
			$script_i++;
		}
		$drop_down = '<select name="script_id">' . $drop_down . '</select>';
		return $drop_down;
	}
?>